"ams.rpm.plot" <-
function(obj, x, y, xlab="retention time", ylab1=NA, ylab2="offset") 
{
	if (class(obj)=="ams.rpm.1d") {
		lo <- layout(mat=matrix(1:2,2,1), widths=c(12,12), heights=c(4,2))
	} else {
		lo <- layout(mat=matrix(1:2,2,1), widths=c(12,12), heights=c(6,2))
	}
	par.mai.bak <- par("mai");
	par.mai.top <- par("mai");
	par.mai.bottom <- par("mai");
	par.mai.top[1] <- 0
	par.mai.bottom[3] <- 0
	# upper panel
	par(mfg=c(1,1))
	par(mai=par.mai.top)
	par(xaxt="n")
	if (class(obj)=="ams.rpm.1d") {
		if (is.na(ylab1)) ylab1 <- "TIC";
		plot(x, type="l", ylab=ylab1, xlab="", col="blue2")
		lines(y, type="l",  col="red2")
		lines(obj$yhat, type="l",  col="green3")
	} else {
		if (is.na(ylab1)) ylab1 <- "m/z";
		plot(y, pch=20, col="red2", ylab=ylab1)
		points(x, col="blue2", pch=4)
		points(obj$yhat, col="green3", pch=4)
	}
	# lower panel
	par(mfg=c(2,1))
	par(mai=par.mai.bottom)
	par(xaxt="s")
	rg <- range(x[,1]);
	rtvalues<-seq(rg[1], rg[2], length.out=1000)
	plot(
		rtvalues, 
		obj$warping$beta[1] + 
			obj$warping$beta[2]*eval.monfd(rtvalues, obj$warping$Wfd) - rtvalues, 
		type="l", 
		ylab=ylab2, 
		xlab=xlab, 
		col="green2"
	);
	abline(h=0, lty=3);
	par(mai=par.mai.bak);
}

