"sinkhorn" <-
function(X, tol, max.it) {
	stopifnot(class(X)=="matrix");
	# perform iterative row-/column normalization until convergence
	tmp <- X;
	i <- 0;
	last <- 0;
	for (i in 1:max.it) {
		X <- X / apply(X, 1, sum);
		X <- t(t(X)/apply(X, 2, sum));
		last <- sum((X-tmp)^2);
		if (last < tol) break;
		tmp <- X;
	}
	if (i == max.it) {
		warning(paste("did not converge to tol=", tol, ", stopped at ", last, ".", sep=""));
	}
	return (X);
}

