"xdist" <-
function(mat1, mat2, w=diag(rep(1,ncol(mat1)))) {
	stopifnot(ncol(mat1)==ncol(mat2));
        mat1 <- as.matrix(mat1);
        mat2 <- as.matrix(mat2);
        # generate a nrow(mat1) x nrow(mat2) dist matrix
        D <- matrix(0, nrow(mat1), nrow(mat2));
	
	# yes, we repeat code, but this is an efficiency issue...

	# check if we are diagonal
	tmp <- w; 
	diag(tmp) <- 0;
	if (sum(tmp) == 0) {
		# ok, we're diagonal
		# now let's see if all values on the diagonal are equal
		diagonal <- diag(w);
		mu <- mean(diagonal);
		if (sum(!(diagonal %in% mu)) == 0) {
			# yup, all equal, so calc diff and multiply matrix at the end
			for (n1 in 1:nrow(mat1)) {
				for (n2 in 1:nrow(mat2)) {
					d <- mat1[n1,]-mat2[n2,];
					D[n1, n2] <- sum(d^2);
				}
			}
			if (mu != 1) {
				return(mu*D);
			} else {
				return(D);
			}
		} else {
			# alright, we are diagonal, but different:
			# thus, directly calculate the squares and do an element-wise 
			# multiplcation with w's diagonal
			for (n1 in 1:nrow(mat1)) {
				for (n2 in 1:nrow(mat2)) {
					d <- mat1[n1,]-mat2[n2,];
					D[n1, n2] <- sum(d^2 * diagonal);
				}
			}
			return(D);
		}
	} else {
		# uh, not diagonal...
		for (n1 in 1:nrow(mat1)) {
			for (n2 in 1:nrow(mat2)) {
				d <- mat1[n1,]-mat2[n2,];
				D[n1, n2] <- d %*% w %*% d;
			}
		}
		return(D);
	}
}

