\name{ams.rpm.plot}
\alias{ams.rpm.plot}
\title{ Plot TIC chromatogram or full LC/MS alignment result.}
\description{
  Plots a TIC chromatogram or full LC/MS alignment result 
  in two panels. The top panel shows the aligned signals 
  and the bottom panel the warping offset.  
}
\usage{
ams.rpm.plot(obj, x, y, xlab="retention time", ylab1=NA, ylab2="offset")
}
\arguments{
  \item{obj}{
  	The alignment result from \code{ams.rpm.register.tic} or
	\code{ams.rpm.register.lcms}.
  }
  \item{x}{
 	The \code{x} dataset from the call to \code{ams.rpm.register.*}.
  }
  \item{y}{
 	The \code{y} dataset from the call to \code{ams.rpm.register.*}.
   }
  \item{xlab}{
  	X-axis labeling.
  }
  \item{ylab1}{
  	Labeling of the top panel y-axis. Defaults to ``TIC'' for
	TIC chromatogram case, and to ``m/z'' for full LC/MS registration.
  }
  \item{ylab2}{
  	Labeling of the bottom panel y-axis.
  }
}
\references{
	Kirchner M, Saussen B, Steen H, Steen JAJ, Hamprecht FA, "amsrpm: Robust Point Matching for Retention Time Alignment of LC/MS Data in R", Journal of Statistical Software, submitted (2006).
}
\author{
	Marc Kirchner \email{marc.kirchner@iwr.uni-heidelberg.de}
	Benjamin Saussen \email{benajmin.saussen@iwr.uni-heidelberg.de}
}
\note{
	TODO: This function should be implemented using R's generic
	function capabilities.
}
\seealso{
	\code{\link{ams.rpm.register.tic}},
	\code{\link{ams.rpm.register.lcms}}
}
\keyword{ multivariate }
