\name{sinkhorn}
\alias{sinkhorn}
\title{Iterative row-and columns normalization.}
\description{
	Carries out a \emph{Sinkhorn normalization}, by iteratively
	normalizing columns and rows of a matrix. 
}
\usage{
sinkhorn(X, tol, max.it)
}
\arguments{
  \item{X}{ Matrix to be normalized. }
  \item{tol}{ Tolerance. If the Frobenius norm of \code{X} is decreased
  	less than \code{tol} between two successive steps, iterations 
	are aborted and results returned. }
  \item{max.it}{ 
  	The maximum number of iterations to be carried out. If
	\code{tol} was not reached, a warning is issued.
  }
}
\references{
	Kirchner M, Saussen B, Steen H, Steen JAJ, Hamprecht FA, "amsrpm: Robust Point Matching for Retention Time Alignment of LC/MS Data in R", Journal of Statistical Software, submitted (2006).
}
\author{
	Marc Kirchner \email{marc.kirchner@iwr.uni-heidelberg.de}
	Benjamin Saussen \email{benajmin.saussen@iwr.uni-heidelberg.de}
}
\value{
  Normalized matrix with rows and columns summing up to one.
}
\keyword{ multivariate }
