\name{xdist}
\alias{xdist}
\title{ Calculate point set cross-distances }
\description{
	Given two point sets of cardinality  \eqn{M}{M} and \eqn{N}{N},
	\code{xdist} calculates an \eqn{M \times N}{MxN}
	(weighted) cross-distance matrix.
}
\usage{
xdist(mat1, mat2, w = diag(rep(1, ncol(mat1))))
}
\arguments{
  \item{mat1}{
  	An \eqn{M \times Q}{MxQ} matrix, point coefficients in rows.
  }
  \item{mat2}{
  	A \eqn{N \times Q}{NxQ} matrix, point coefficients in rows.
  }
  \item{w}{
  	\eqn{Q \times Q}{QxQ} weight matrix.
  }
}
\details{
  ~~ If necessary, more details than the description above ~~
}
\value{
	An \eqn{M \times N}{MxN} weightes cross-distance matrix.
}
\references{
	Kirchner M, Saussen B, Steen H, Steen JAJ, Hamprecht FA, "amsrpm: Robust Point Matching for Retention Time Alignment of LC/MS Data in R", Journal of Statistical Software, submitted (2006).
}
\author{
	Marc Kirchner \email{marc.kirchner@iwr.uni-heidelberg.de}
	Benjamin Saussen \email{benajmin.saussen@iwr.uni-heidelberg.de}
}
\note{
	Native R implementation for portablility reasons.
	Porting to C is likely to give some speedup.
}
\keyword{ multivariate }
